# Method: sessions.get

- [HTTP request](https://developers.google.com/photos/picker/reference/rest/v1/sessions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/photos/picker/reference/rest/v1/sessions/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/photos/picker/reference/rest/v1/sessions/get#body.request_body)
- [Response body](https://developers.google.com/photos/picker/reference/rest/v1/sessions/get#body.response_body)
- [Authorization scopes](https://developers.google.com/photos/picker/reference/rest/v1/sessions/get#body.aspect)

Retrieves information about the specified session.

If the specified session does not exist or is not owned by the user, a `NOT_FOUND` error is returned. If the session exists but access to the session has expired, a `PERMISSION_DENIED` error is returned.

### HTTP request

`GET https://photospicker.googleapis.com/v1/sessions/{sessionId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `sessionId` | `string` Required. The Google-generated identifier for this session. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/photos/picker/reference/rest/v1/sessions#PickingSession`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/photospicker.mediaitems.readonly`